<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="d7f130be-4782-490d-9977-55e214206f08" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/src/main/java/wantsome/shop/tests/ProductListTests.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/wantsome/shop/tests/ProductListTests.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/testsuite$HelloLog4J.ic" NAME="HelloLog4J Coverage Results" MODIFIED="1544970162973" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
  </component>
  <component name="CoverageViewManager">
    <option name="myElementSize" value="209" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="1095489346">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="11" />
          <entry key="project.open.time.1" value="3" />
          <entry key="project.open.time.11" value="2" />
          <entry key="project.open.time.13" value="2" />
          <entry key="project.open.time.2" value="2" />
          <entry key="project.open.time.20" value="1" />
          <entry key="project.open.time.3" value="1" />
          <entry key="project.open.time.7" value="2" />
          <entry key="project.opened" value="13" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="dummy" value="47" />
          <entry key="java" value="14438" />
          <entry key="xml" value="25" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="14438" />
          <entry key="PLAIN_TEXT" value="47" />
          <entry key="XML" value="25" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="class" value="17" />
          <entry key="java" value="114" />
          <entry key="md" value="1" />
          <entry key="xml" value="12" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="17" />
          <entry key="JAVA" value="114" />
          <entry key="Markdown" value="1" />
          <entry key="XML" value="12" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <splitter split-orientation="horizontal" split-proportion="0.49838188">
      <split-first>
        <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/HomePage.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="748">
                  <caret line="54" column="45" selection-start-line="54" selection-start-column="45" selection-end-line="54" selection-end-column="45" />
                  <folding>
                    <element signature="e#1381#1382#0" expanded="true" />
                    <element signature="e#1432#1433#0" expanded="true" />
                    <element signature="e#1466#1467#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/ProductDetails.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="901">
                  <caret line="59" column="38" selection-end-line="62" />
                  <folding>
                    <element signature="e#1471#1472#0" expanded="true" />
                    <element signature="e#1516#1517#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/ProductList.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="-401">
                  <caret line="52" selection-start-line="52" selection-end-line="52" />
                  <folding>
                    <element signature="imports" expanded="true" />
                    <element signature="e#2585#2586#0" expanded="true" />
                    <element signature="e#2622#2623#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/ProductListTests.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="208">
                  <caret line="58" column="49" selection-start-line="58" selection-start-column="49" selection-end-line="58" selection-end-column="49" />
                  <folding>
                    <element signature="imports" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-first>
      <split-second>
        <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/ProductList.java">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="17">
                  <caret line="1" selection-start-line="1" selection-end-line="1" />
                  <folding>
                    <element signature="imports" expanded="true" />
                    <element signature="e#1401#1402#0" expanded="true" />
                    <element signature="e#1438#1439#0" expanded="true" />
                  </folding>
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-second>
    </splitter>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>driver</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/log4j.xml" />
        <option value="$PROJECT_DIR$/resources/log4j.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/log4j2.xml" />
        <option value="$PROJECT_DIR$/src/main/java/HelloLog4J.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/Login.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/DriversPath.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/LoginTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/Login/LoginTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/setup/BaseTestsClass.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/Login/LoginPageFactory.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/login/LoginPageFactory.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/login/LoginTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/homepage/HomePageFactory.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/contact/ContactPage.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/register/RegisterPage.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/new_post/NewPost.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/homepage/HomePage.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/pages/ContactPage.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/pages/RegisterPage.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/pages/LoginPageFactory.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/tests/NewPostTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/pages/NewPost.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/setup/DriversPath.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/setup/BaseTestsChromeBrowser.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/tests/LoginTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/pages/HomePage.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/pages/DetailedPost.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/blog/tests/SinglePostTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/blog/tests/LoginTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/setup/BaseTestsChromeBrowser.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/tests/SeachTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/pages/LoginPage.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/pages/Cart.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/pages/MyAccount.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/tests/RegistrationTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/tests/LoginTests.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/pages/ProductDetails.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/pages/HomePage.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/pages/ProductList.java" />
        <option value="$PROJECT_DIR$/src/main/java/wantsome/shop/tests/ProductListTests.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="test-suite" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="905" />
    <option name="y" value="36" />
    <option name="width" value="1230" />
    <option name="height" value="1020" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <flattenPackages ProjectPane="false" />
      <hideEmptyPackages ProjectPane="true" />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AndroidView" />
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="drivers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="drivers" type="462c0819:PsiDirectoryNode" />
              <item name="windows" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wantsome" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wantsome" type="462c0819:PsiDirectoryNode" />
              <item name="blog" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wantsome" type="462c0819:PsiDirectoryNode" />
              <item name="blog" type="462c0819:PsiDirectoryNode" />
              <item name="pages" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wantsome" type="462c0819:PsiDirectoryNode" />
              <item name="shop" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wantsome" type="462c0819:PsiDirectoryNode" />
              <item name="shop" type="462c0819:PsiDirectoryNode" />
              <item name="pages" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wantsome" type="462c0819:PsiDirectoryNode" />
              <item name="shop" type="462c0819:PsiDirectoryNode" />
              <item name="setup" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="testsuite" type="b2602c69:ProjectViewProjectNode" />
              <item name="test-suite" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="wantsome" type="462c0819:PsiDirectoryNode" />
              <item name="shop" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1547494149189" />
    <property name="full.screen.before.presentation.mode" value="false" />
    <property name="last_opened_file_path" value="E:/Testare automata/javabasics" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="two.files.diff.last.used.file" value="$PROJECT_DIR$/src/main/java/wantsome/shop/pages/DetailedPost.java" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\Proiect Wantsome\test-suite\src\main\java" />
      <recent name="E:\Proiect Wantsome\test-suite\src" />
      <recent name="E:\Proiect Wantsome\test-suite" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\Proiect Wantsome\test-suite\src\test" />
      <recent name="E:\Proiect Wantsome\test-suite\src\main\resources" />
      <recent name="E:\Proiect Wantsome\test-suite\resources" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.ProductListTests.sortProductByLowerPriceTest">
    <configuration name="ProductListTests.clickOnProduct_MenCollectionTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="test-suite" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="wantsome.shop.tests.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="wantsome.shop.tests" />
      <option name="MAIN_CLASS_NAME" value="wantsome.shop.tests.ProductListTests" />
      <option name="METHOD_NAME" value="clickOnProduct_MenCollectionTest" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ProductListTests.d" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="test-suite" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="wantsome.shop.tests.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="wantsome.shop.tests" />
      <option name="MAIN_CLASS_NAME" value="wantsome.shop.tests.ProductListTests" />
      <option name="METHOD_NAME" value="d" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ProductListTests.sortProductByLowerPriceTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="test-suite" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="wantsome.shop.tests.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="wantsome.shop.tests" />
      <option name="MAIN_CLASS_NAME" value="wantsome.shop.tests.ProductListTests" />
      <option name="METHOD_NAME" value="sortProductByLowerPriceTest" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ProductListTests.sortProductsByPopularity" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="test-suite" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="wantsome.shop.tests.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="wantsome.shop.tests" />
      <option name="MAIN_CLASS_NAME" value="wantsome.shop.tests.ProductListTests" />
      <option name="METHOD_NAME" value="sortProductsByPopularity" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ProductListTests.x" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="test-suite" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="wantsome.shop.tests.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="wantsome.shop.tests" />
      <option name="MAIN_CLASS_NAME" value="wantsome.shop.tests.ProductListTests" />
      <option name="METHOD_NAME" value="x" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.ProductListTests.sortProductsByPopularity" />
      <item itemvalue="JUnit.ProductListTests.clickOnProduct_MenCollectionTest" />
      <item itemvalue="JUnit.ProductListTests.d" />
      <item itemvalue="JUnit.ProductListTests.x" />
      <item itemvalue="JUnit.ProductListTests.sortProductByLowerPriceTest" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.ProductListTests.sortProductByLowerPriceTest" />
        <item itemvalue="JUnit.ProductListTests.x" />
        <item itemvalue="JUnit.ProductListTests.d" />
        <item itemvalue="JUnit.ProductListTests.clickOnProduct_MenCollectionTest" />
        <item itemvalue="JUnit.ProductListTests.sortProductsByPopularity" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="d7f130be-4782-490d-9977-55e214206f08" name="Default Changelist" comment="" />
      <created>1544964235598</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1544964235598</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="ProductListTests_x - 2019.01.13 at 23h 02m 02s.xml">
      <configuration name="ProductListTests.x" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductListTests_x - 2019.01.14 at 20h 55m 46s.xml">
      <configuration name="ProductListTests.x" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductListTests_x - 2019.01.14 at 20h 56m 02s.xml">
      <configuration name="ProductListTests.x" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductListTests_x - 2019.01.14 at 20h 56m 34s.xml">
      <configuration name="ProductListTests.x" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductListTests_x - 2019.01.14 at 20h 57m 18s.xml">
      <configuration name="ProductListTests.x" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductListTests_sortProductByLowerPriceTest - 2019.01.14 at 20h 59m 00s.xml">
      <configuration name="ProductListTests.sortProductByLowerPriceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductListTests_sortProductByLowerPriceTest - 2019.01.14 at 20h 59m 39s.xml">
      <configuration name="ProductListTests.sortProductByLowerPriceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductListTests_sortProductByLowerPriceTest - 2019.01.14 at 21h 00m 14s.xml">
      <configuration name="ProductListTests.sortProductByLowerPriceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductListTests_sortProductByLowerPriceTest - 2019.01.14 at 21h 03m 17s.xml">
      <configuration name="ProductListTests.sortProductByLowerPriceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductListTests_sortProductByLowerPriceTest - 2019.01.14 at 21h 26m 55s.xml">
      <configuration name="ProductListTests.sortProductByLowerPriceTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.1704698" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32907802" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.32907802" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.38439715" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Terminal" order="7" weight="0.32907802" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.32907802" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Maven Projects" order="1" weight="0.3295302" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Theme Preview" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Coverage" order="8" side_tool="true" weight="0.3295302" />
    </layout>
    <layout-to-restore>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.2671141" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32907802" />
      <window_info active="true" anchor="bottom" id="Run" order="2" visible="true" weight="0.25106382" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.38439715" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Terminal" order="7" weight="0.32907802" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.32907802" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Maven Projects" order="1" weight="0.3295302" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Theme Preview" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Coverage" order="8" side_tool="true" weight="0.3295302" />
    </layout-to-restore>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/src/main/java/wantsome/blog/tests/SinglePostTests.java</url>
          <line>34</line>
          <properties class="wantsome.blog.tests.SinglePostTests" method="setCommentWhileLoggedInTest">
            <option name="EMULATED" value="true" />
          </properties>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/SeachTests.java</url>
          <line>13</line>
          <properties class="wantsome.shop.tests.SeachTests" method="searchHappyFlowTest">
            <option name="EMULATED" value="true" />
          </properties>
          <option name="timeStamp" value="10" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/LoginTests.java</url>
          <line>24</line>
          <properties class="wantsome.shop.tests.LoginTests" method="validLoginVerification">
            <option name="EMULATED" value="true" />
          </properties>
          <option name="timeStamp" value="12" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/RegistrationTests.java</url>
          <line>34</line>
          <properties class="wantsome.shop.tests.RegistrationTests" method="registrationWithoutFillingEmailFieldTest">
            <option name="EMULATED" value="true" />
          </properties>
          <option name="timeStamp" value="23" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/wantsome/blog/tests/LoginTests.java</url>
          <line>18</line>
          <properties />
          <option name="timeStamp" value="3" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/wantsome/blog/pages/DetailedPost.java</url>
          <line>62</line>
          <properties />
          <option name="timeStamp" value="7" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/wantsome/blog/pages/DetailedPost.java</url>
          <line>51</line>
          <properties />
          <option name="timeStamp" value="9" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="evaluateExpression">
      <expression>
        <expression-string>if(option.getCssValue(&quot;value&quot;).equals(userOption))</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>if(option.getText().equals(userOption))</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>option</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>commentTextArea.sendKeys(commentText);</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/log4j.xml" />
    <entry file="file://$PROJECT_DIR$/src/main/resources/log4j2.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="408">
          <caret line="24" column="21" selection-start-line="24" selection-start-column="21" selection-end-line="24" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/HelloLog4J.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="8" column="1" selection-start-line="8" selection-start-column="1" selection-end-line="8" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/seleniumhq/selenium/selenium-support/3.11.0/selenium-support-3.11.0.jar!/org/openqa/selenium/support/PageFactory.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="23" selection-start-line="23" selection-end-line="23" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/seleniumhq/selenium/selenium-api/3.11.0/selenium-api-3.11.0.jar!/org/openqa/selenium/WebDriver.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="17" lean-forward="true" selection-start-line="17" selection-end-line="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/junit/junit/4.12/junit-4.12.jar!/org/junit/Assert.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="149">
          <caret line="48" column="23" selection-start-line="48" selection-start-column="23" selection-end-line="48" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/seleniumhq/selenium/selenium-support/3.11.0/selenium-support-3.11.0.jar!/org/openqa/selenium/support/AbstractFindByBuilder.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="12" column="22" selection-start-line="12" selection-start-column="22" selection-end-line="12" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/seleniumhq/selenium/selenium-support/3.11.0/selenium-support-3.11.0.jar!/org/openqa/selenium/support/FindBy.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="361">
          <caret line="38" column="55" lean-forward="true" selection-start-line="38" selection-start-column="55" selection-end-line="38" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/seleniumhq/selenium/selenium-api/3.11.0/selenium-api-3.11.0.jar!/org/openqa/selenium/WebElement.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="32" column="12" selection-start-line="32" selection-start-column="12" selection-end-line="32" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/junit/junit/4.12/junit-4.12.jar!/org/junit/Before.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="14" column="22" selection-start-line="14" selection-start-column="22" selection-end-line="14" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/setup/DriversPath.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" column="10" selection-start-line="5" selection-start-column="10" selection-end-line="5" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-10.0.2/lib/src.zip!/java.base/java/util/function/Predicate.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="146">
          <caret line="48" column="12" selection-start-line="48" selection-start-column="12" selection-end-line="48" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/pages/HomePage.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="32" selection-start-line="32" selection-end-line="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="16" selection-start-line="11" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/NewPost.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/setup/DriversPath.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/NewPostTests.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/ContactPage.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/DetailedPost.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/SinglePostTests.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/SeachTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="16" column="43" lean-forward="true" selection-start-line="16" selection-start-column="43" selection-end-line="16" selection-end-column="68" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/pages/ContactPage.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="12" column="10" lean-forward="true" selection-start-line="12" selection-end-line="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/pages/DetailedPost.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-157">
          <caret line="23" column="18" lean-forward="true" selection-start-line="23" selection-start-column="18" selection-end-line="23" selection-end-column="25" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1606#1607#0" expanded="true" />
            <element signature="e#1650#1651#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/pages/NewPost.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="456">
          <caret line="96" column="41" selection-start-line="96" selection-start-column="41" selection-end-line="96" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/tests/LoginTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="84">
          <caret line="16" column="66" selection-start-line="16" selection-start-column="66" selection-end-line="16" selection-end-column="66" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#607#608#0" expanded="true" />
            <element signature="e#680#681#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/tests/SinglePostTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="744">
          <caret line="91" column="34" selection-start-line="91" selection-start-column="34" selection-end-line="91" selection-end-column="34" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/seleniumhq/selenium/selenium-api/3.11.0/selenium-api-3.11.0.jar!/org/openqa/selenium/interactions/Action.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="8" column="10" lean-forward="true" selection-start-line="8" selection-start-column="10" selection-end-line="8" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/tests/NewPostTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="113">
          <caret line="23" selection-start-line="23" selection-end-line="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/pages/LoginPageFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="53" column="36" lean-forward="true" selection-start-line="53" selection-start-column="36" selection-end-line="53" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/junit/junit/4.12/junit-4.12.jar!/org/junit/runners/model/FrameworkMethod.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="49" selection-start-line="49" selection-end-line="49" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-10.0.2/lib/src.zip!/java.base/java/lang/reflect/Method.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="128">
          <caret line="563" selection-start-line="563" selection-end-line="563" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-10.0.2/lib/src.zip!/java.base/jdk/internal/reflect/DelegatingMethodAccessorImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="42" selection-start-line="42" selection-end-line="42" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-10.0.2/lib/src.zip!/java.base/jdk/internal/reflect/NativeMethodAccessorImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="436">
          <caret line="61" selection-start-line="61" selection-end-line="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/setup/BaseTestsChromeBrowser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="18" column="11" selection-start-line="18" selection-start-column="11" selection-end-line="18" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/blog/pages/RegisterPage.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="10" column="47" selection-start-line="10" selection-start-column="47" selection-end-line="10" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/seleniumhq/selenium/selenium-support/3.11.0/selenium-support-3.11.0.jar!/org/openqa/selenium/support/pagefactory/internal/LocatingElementHandler.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="151">
          <caret line="24" selection-start-line="24" selection-end-line="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/setup/BaseTestsChromeBrowser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="27" column="1" selection-start-line="27" selection-start-column="1" selection-end-line="27" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/seleniumhq/selenium/selenium-support/3.11.0/selenium-support-3.11.0.jar!/org/openqa/selenium/support/pagefactory/DefaultElementLocator.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="151">
          <caret line="34" selection-start-line="34" selection-end-line="34" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/seleniumhq/selenium/selenium-remote-driver/3.11.0/selenium-remote-driver-3.11.0.jar!/org/openqa/selenium/interactions/Actions.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="118" selection-start-line="118" selection-end-line="118" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/Cart.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="425">
          <caret line="50" column="45" selection-start-line="50" selection-start-column="45" selection-end-line="50" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/LoginTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="21">
          <caret line="31" column="29" lean-forward="true" selection-start-line="31" selection-start-column="29" selection-end-line="31" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/MyAccount.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="356">
          <caret line="134" lean-forward="true" selection-start-line="134" selection-end-line="134" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/Checkout.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="23" lean-forward="true" selection-start-line="2" selection-start-column="23" selection-end-line="2" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/RegistrationTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="22" column="13" lean-forward="true" selection-start-line="22" selection-end-line="25" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/HomePage.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="748">
          <caret line="54" column="45" selection-start-line="54" selection-start-column="45" selection-end-line="54" selection-end-column="45" />
          <folding>
            <element signature="e#1381#1382#0" expanded="true" />
            <element signature="e#1432#1433#0" expanded="true" />
            <element signature="e#1466#1467#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/ProductDetails.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="901">
          <caret line="59" column="38" selection-end-line="62" />
          <folding>
            <element signature="e#1471#1472#0" expanded="true" />
            <element signature="e#1516#1517#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/pages/ProductList.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-401">
          <caret line="52" selection-start-line="52" selection-end-line="52" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#2585#2586#0" expanded="true" />
            <element signature="e#2622#2623#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/wantsome/shop/tests/ProductListTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="208">
          <caret line="58" column="49" selection-start-line="58" selection-start-column="49" selection-end-line="58" selection-end-column="49" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>10</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>test-suite</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>10</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: com.google.code.findbugs:jsr305:1.3.9</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>